package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalLink实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_LINK")
@ApiModel(value="RepalLink实体对象", description="回款宝客户联系人")
public class RepalLink implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键，联系人id")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "联系人姓名")
    @TableField("NAME")
    private String name;

    @ApiModelProperty(value = "联系人电话")
    @TableField("MOBILE_NO")
    private String mobileNo;

    @ApiModelProperty(value = "联系人邮箱")
    @TableField("EMAIL")
    private String email;

    @ApiModelProperty(value = "联系人微信")
    @TableField("WECHAT")
    private String wechat;

    @ApiModelProperty(value = "所属客户")
    @TableField("CUST_ID")
    private Long custId;

    @ApiModelProperty(value = "是否删除 0否 1是")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;


}
