package com.winhc.repal.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @Description: SettleRepalBillDTO
 * @Author: xda
 * @Date: 2022/4/15 11:05
 */
@Data
@ApiModel("结清账款")
public class SettleRepalBillDTO {

    @ApiModelProperty("账款id")
    private Long repalBillId;

    @ApiModelProperty("金额，string类型")
    private BigDecimal money;

    @ApiModelProperty("日期，string, yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    public LocalDate recordDate;

}
