package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @Description: RepalBillPageVO
 * @Author: xda
 * @Date: 2022/4/8 11:13
 */
@Data
@ApiModel("账款分页对象")
public class RepalManageBillPageVO {



    @ApiModelProperty(value = "账款id")
    private Long repalBillId;

    @ApiModelProperty(value = "账本id")
    private Long repalBookId;

    @ApiModelProperty(value = "账本名称")
    private String repalBookName;

    @ApiModelProperty(value = "账款逾期状态，1进行中，2已逾期")
    private Integer repalBillStatus;

    @ApiModelProperty(value = "账款逾期/即将逾期天数")
    private Long overdueDay;


    @ApiModelProperty("到期日期,字符串,格式yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "账款总金额")
    private String totalMoneyStr;

    @ApiModelProperty(value = "逾期/即将逾期金额")
    private String receivableStr;

    @ApiModelProperty(value = "负责人name")
    private List<String> responsiblePersonName;

    @ApiModelProperty(value = "催款动态数量")
    private Integer repalDynamicCount;
}
