package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @Description: ReturnedBillDetailVO
 * @Author: xda
 * @Date: 2022/5/19 12:46
 */
@Data
@ApiModel("回款详情")
public class ReturnedBillDetailVO {

    @ApiModelProperty(value = "账款id")
    private Long repalBillId;

    @ApiModelProperty("回款记录id")
    private Long repalChangeRecordId;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "回款人name")
    private String userName;

    @ApiModelProperty("回款日期，string, yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate recordDate;

    @ApiModelProperty("账单状态，1进行中，2已逾期，3已收回")
    private Integer repalBillStatus;

    @ApiModelProperty("回款金额string")
    private String moneyStr;

    @ApiModelProperty(value = "负责人name，、分隔")
    private String responsiblePersonNames;

    @ApiModelProperty("到期日期,字符串,格式yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款总金额")
    private String totalMoneyStr;

    @ApiModelProperty(value = "待收金额")
    private String receivableStr;

    @ApiModelProperty(value = "分数趋势，1上升，2下降。0持平")
    private Integer diagnosisScoreTrend;

    @ApiModelProperty(value = "评估等级")
    private String diagnosisGrade;

    @ApiModelProperty(value = "本次评估分数")
    private String diagnosisScore;

    @ApiModelProperty("动态countList")
    private List<Integer> dynamicCountList;
}
